# Interface IQuerySuggestRequest

## Index

### Properties

- actionsHistory
- context
- count
- enableWordCompletion
- isGuestUser
- locale
- pipeline
- q
- referrer
- searchHub
- tab
- timezone
- visitorId

## Properties

### Optional actionsHistory

actionsHistory: any[]

- Defined in rest/QuerySuggest.ts :92

### Optional context

context: IStringMap<any>

- Defined in rest/QuerySuggest.ts :68

### Optional count

count: number

- Defined in rest/QuerySuggest.ts :58

### Optional enableWordCompletion

enableWordCompletion: boolean

- Defined in rest/QuerySuggest.ts :87

### Optional isGuestUser

isGuestUser: boolean

- Defined in rest/QuerySuggest.ts :108

### Optional locale

locale: string

- Defined in rest/QuerySuggest.ts :82

### Optional pipeline

pipeline: string

- Defined in rest/QuerySuggest.ts :63

### q

q: string

- Defined in rest/QuerySuggest.ts :47

### Optional referrer

referrer: string

- Defined in rest/QuerySuggest.ts :77

### Optional searchHub

searchHub: string

- Defined in rest/QuerySuggest.ts :51

### Optional tab

tab: string

- Defined in rest/QuerySuggest.ts :72

### Optional timezone

timezone: string

- Defined in rest/QuerySuggest.ts :97

### Optional visitorId

visitorId: string

- Defined in rest/QuerySuggest.ts :103

### Hierarchy

- IQuerySuggestRequest